package GUIAnwendungen;

import java.awt.Color;
import java.awt.Font;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.Border;

// mit Jpanel kann man alle grafischen Bauelemente einsetzen
public class Jpanel {

	public static void main(String[] args) {
		JPanel panel = new JPanel();
		panel.setBackground(Color.red);
		// setze eine Grafisches Bauelement (int x, int y, int width, int height)
		panel.setBounds(0, 0, 240, 250);
		
		// Erstelle ein Fenster
		JFrame frame = new JFrame();
		
		//stellt sicher, dass keine automatische Positionierung und Größenanpassung erhalten
		frame.setLayout(null);
		
		// setSize(width, height)
		frame.setSize(750, 750);

		// setzte einen Überschrift für mein Fenster
		frame.setTitle("Mein erstes Fenster");
		
		//setVisible(boolean): gibt an, ob mein Fenster sichtbar ist oder nicht
		frame.setVisible(true);
		
		frame.add(panel);
		
	}

}
